// summary.js

$(window).ready(function() {

    var parent_window = opener;

    if (parent_window === null) {
        invalidMessage();
        return;
    }

    if (typeof parent_window.player.getQuestionAnswer !== "function") {
        invalidMessage();
        return;
    }

    var numQuestions = $('.question').length;

    for (var i=1; i<(numQuestions + 1); i++) {
        var q_id = "#question" + i;
        $(q_id).append(parent_window.player.getQuestionAnswer(i));
    }

    window.print();
});

function invalidMessage() {
    $("header").remove();
    $("main").html("");
    $("main").append("<h1>Unable to open</h1>");
    $("main").append("<p>Please go back and open this window "
        + "from the Case Study activity.</p>");
}
